Replace net-tools usage with iproute2

Bug #1264445 reported by Ryan Finnie on 2013-12-27
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Finnix
Low
Unassigned

Bug Description

The initrd, finnix-scripts, and finnix-netboot use ifconfig and route commands, and in the packages' cases, they don't depend on net-tools. Replace them with ip commands, and depend on iproute2.

Distribution: 110
Source: finnix-scripts
Source-Version: 20131226.1

A package update has been sent to the Finnix archive, which marks this
bug as fixed. A copy of the upload changes is included below.

Thank you,
Your friendly Finnix Launchpad assistant

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 26 Dec 2013 23:44:45 -0800
Source: finnix-scripts
Binary: finnix-scripts
Architecture: source all
Version: 20131226.1
Distribution: unstable
Urgency: low
Maintainer: Ryan Finnie <email address hidden>
Changed-By: Ryan Finnie <email address hidden>
Description:
 finnix-scripts - Scripts needed to run Finnix
Changes:
 finnix-scripts (20131226.1) unstable; urgency=low
 .
   * Replace net-tools with iproute2 (LP: #1264445)
Checksums-Sha1:
 e1c9d4326c65baa091595676e94565b103c0daed 1632 finnix-scripts_20131226.1.dsc
 ec82da382e9953796f72b8b6faf90f57bc8d2ec8 37420 finnix-scripts_20131226.1.tar.xz
 f25cc7305e20c86faf181c716bf356d817bb7ca9 67372 finnix-scripts_20131226.1_all.deb
Checksums-Sha256:
 8a700eec3c5590b39d92a54ace077b833a2d887aff7c0ad7e3495da2a82be82f 1632 finnix-scripts_20131226.1.dsc
 c68c2bb89e9294eb1bb7927538ab3637c17ff831e39e7945db4b3105752ce59d 37420 finnix-scripts_20131226.1.tar.xz
 96a92f075b60b672109cf5cb5fed7247e3006571a2139cadada56b13bee4bb73 67372 finnix-scripts_20131226.1_all.deb
Files:
 8545a5e2f6677f6104ec7f3ecf18eb11 1632 misc optional finnix-scripts_20131226.1.dsc
 8c6d1fefffa5e43650da5b705e371f12 37420 misc optional finnix-scripts_20131226.1.tar.xz
 62188f5d368843c9e3a4b93d6eb81bf1 67372 misc optional finnix-scripts_20131226.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJSvTAXAAoJEH5go6aGro2YyxsQAKNmw0QHnpHFxdewfP/FCFBu
V6lQFt3KSPaofaGh65Mxe3JdKCT2j+Q9O420uxiWwSWB0E5z/rrsBtdsNakKodPZ
CHSyYZ2vPUBBeSEKPsq1ZECHfb6SXTp2V3t5qHJlq6Qt6gADUoRgzI6Yhi0ABjrs
zUoQDbuaFBJjedw0fyR+CRzXuGwHuAx1Q9yAwJBSDxmVZ/GiSLWJS9GYS0vAx+vh
cGhnc7f17Rt7p50XGdZYezHfxazjD0vyAl8UMJKxnG3nkmw9R4RTAUcOHsrF7zua
GWnTVlWSSNKq9ukx6M8VDICVAA3jyuQS6kqDFvOiQtPr13ZIwJiS/MUGi7hId/hf
LAANt81F7UeUEeRERZpNzV5V2rG4bEdVtVLO4fS1vgBXcbPWUnatS1g2YxbghiGI
NY4Kl88B61AFnbc7OSjCbK4CNDkf0R2JDg5YhzK7sScemGERtoq/3By+Wfk2W5MX
cScZT2TbbX1Yn2mLYnVMwzrWchxIKyIGu9nwjZrSn6/k3T/YrkwIwM6aJd87AXuf
ildYIZappwatz8u7k6VDfzxitWusA+iY7Sym7ZEAgeLA1TXShommtaBJd9rd+SCU
AbZgfNpR1gPX5mrFrEATmppAi3E/pU5uZlJ0iyWbUfyMooj5FIYlMV58h1F9sUyJ
U36qJIBqoNOvIZyhQ3gN
=eX11
-----END PGP SIGNATURE-----

Changed in finnix:
status: New → Fix Committed
tags: added: archive-fixed

Distribution: 110
Source: finnix-netboot
Source-Version: 20131226.0

A package update has been sent to the Finnix archive, which marks this
bug as fixed. A copy of the upload changes is included below.

Thank you,
Your friendly Finnix Launchpad assistant

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 26 Dec 2013 23:46:34 -0800
Source: finnix-netboot
Binary: finnix-netboot
Architecture: source all
Version: 20131226.0
Distribution: unstable
Urgency: low
Maintainer: Ryan Finnie <email address hidden>
Changed-By: Ryan Finnie <email address hidden>
Description:
 finnix-netboot - Scripts to set up network booting in Finnix
Changes:
 finnix-netboot (20131226.0) unstable; urgency=low
 .
   * Replace net-tools with iproute2 (LP: #1264445)
Checksums-Sha1:
 8dc152a0f7ec4e067ff6615d5f47c86db860492a 1629 finnix-netboot_20131226.0.dsc
 e935ff83348e7005c3a2ba5a996fedfd59492cce 7460 finnix-netboot_20131226.0.tar.xz
 8e1c75812832bb617fa01320fa49feac9ca9711a 9968 finnix-netboot_20131226.0_all.deb
Checksums-Sha256:
 1247be731fb36bed1c01f93c7a801d97793798f03fd6f423da42196c22b150f8 1629 finnix-netboot_20131226.0.dsc
 823ee85371c5eb80cc50e80620fa677534c7883e488637bf6ec2a905650bd3eb 7460 finnix-netboot_20131226.0.tar.xz
 e9e2f5d45993b8323f6c9de03c972aad65b268c42f523bf35c5dbbdeb1ee7e07 9968 finnix-netboot_20131226.0_all.deb
Files:
 600e357b4eb5af091f781c680ec4d949 1629 misc optional finnix-netboot_20131226.0.dsc
 0d5a2611cf0e6cca7df542fd437917e5 7460 misc optional finnix-netboot_20131226.0.tar.xz
 3c49288ee822d176f74a820df643e6b9 9968 misc optional finnix-netboot_20131226.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJSvTBjAAoJEH5go6aGro2YWugQAKfQU77GK5cNHrocW0egoehL
/qGHsRHK2tmoXrnwNr6fzdWigyvkRgKjZ2x3jFgZnfkXlVmaNJcfz7mGn2GzLo3s
3UKEV+Bt3/cfbq8z/qN6xQK2zIMDJWW8qc7CnCxFOnuuGdPWeM05SAkJiknKn38o
JgJqfrUYrdJvX7d4+oEOtkZHHZ2GgEAh0oWjCTNigoqgs8kf42hiPrtifV9DD8J2
dTYBIsBGlFq8+h9gMeQK5FOgpPdnLXbJJMqRWWcucRsHEca00ydeJg4xDu/O5qds
E5tDAgfJZoJgVkS+2GtfrLP4iJbfVA0a9h+q+r3mrzWqgFa6891EbDwsPPvlAlSR
uRaeyovQc18f1uudRtUpCG2pA0FCN70QrMJCr2FEOwgPTDFDPbQwViwO7eyAxZHA
wrrdVAeS6Fy/aw9tGHBRrPDbwmZK4ug748yWKWBONlCtHppx0yt6HkAyMx0oVodv
kfRd4sS1yGu+ZmsiNo+0OqCUZBOW9Xq2Z4rXZRQy6qeG0Pw0NUidqEso1gG0NTBo
caNPnOiLaoPoDT0pP/bT7Tyl1mDy93jZbXL/4ziUJu942lJ+bcUBSFCQt7Do0Jxi
o9ugztmXZexySkJ0hwqwYc6lA9PXJX38LwFn9EUNvVGlbcivzVLHmreqqHJQ51xg
MfnvnfxN2PiUVWZzjamq
=mXHa
-----END PGP SIGNATURE-----

Ryan Finnie (fo0bar) on 2013-12-27
Changed in finnix:
status: Fix Committed → In Progress

Distribution: 110
Source: finnix-minimal
Source-Version: 20131227.0

A package update has been sent to the Finnix archive, which marks this
bug as fixed. A copy of the upload changes is included below.

Thank you,
Your friendly Finnix Launchpad assistant

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 27 Dec 2013 00:06:33 -0800
Source: finnix-minimal
Binary: finnix-minimal
Architecture: source all
Version: 20131227.0
Distribution: unstable
Urgency: low
Maintainer: Ryan Finnie <email address hidden>
Changed-By: Ryan Finnie <email address hidden>
Description:
 finnix-minimal - Minimal Finnix dependencies
Changes:
 finnix-minimal (20131227.0) unstable; urgency=low
 .
   * Replace net-tools with iproute2 (LP: #1264445)
Checksums-Sha1:
 4388c3b64cc09c9f7cade165981e6362a3c64de1 1623 finnix-minimal_20131227.0.dsc
 6aba129c9c9edaba012d91636a043542d549460b 1652 finnix-minimal_20131227.0.tar.xz
 20d5311cbc09043013e5a1b92405798162f8066b 1800 finnix-minimal_20131227.0_all.deb
Checksums-Sha256:
 0a9f5a3990f5c412861d765bad1206b5218371dbdf2328294e5c13e98e0f6a0c 1623 finnix-minimal_20131227.0.dsc
 4bc4a92297a7877552423a27a5816ee093a74f5b0669446e17324279e5489ac5 1652 finnix-minimal_20131227.0.tar.xz
 cad69f16aed8f31670312ea474d50fdbe065ed9520cec413a2ba6cf53db4a0e2 1800 finnix-minimal_20131227.0_all.deb
Files:
 172fdfa5f010de4c6eefae9aab6c19f3 1623 misc optional finnix-minimal_20131227.0.dsc
 d9f89aca7827820bc5cd86f3b2c56725 1652 misc optional finnix-minimal_20131227.0.tar.xz
 e545338d901942bcc614b1c087c13248 1800 misc optional finnix-minimal_20131227.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJSvTV1AAoJEH5go6aGro2YI7YP/jJ06GZYrp0w9SKKwCVigIsg
2VmnXVokEP+rW7pavj78yjtBan7FXMsOiXiZfIuqGeyYE+iYejt17g7zuAvENF3F
HRVeCK4maL9BzXHZR208V7GHjkIV9i9IloalSU/JKWspGkOveSiOUjcAofIMDPXj
T1zyuU3csTiUoXDtllfMpCPI87equpF8dIk/UVMbJsJhLAVAZyahYDRXZsXiSkCi
iiK+cxRw4lFU6c4RUfM0oUiiTV6WF6kkUElhPmNjy5V5dxSyX3+NoEGV5UnHBQKt
22yYK50kfImxfiA+ALEJci2CNXwTrCiarYA45hGICHc9m1n+6fs6h305HHNpDS8s
GKd5sR4FB7+0QteOBKbXdvYaQVHpWpHRANfh/DIoRMDUQ/iR302wgjlEFsetl0Pj
8lOJgzWouRDEy9EdMoaph30yzGQzQbSPuS4S5fNqTAT+Gdhrf/jKH4w6AwuFX6Gq
t22CxnIMeafCOUYGR5yUbIIYMndPMbrcL8PnckiFyvHcE5PZr6Q+bX7JmTfqpxFR
H1BXMWOd3A6O8nUyp85qi0vaN2yj/yLHEPRUNXf5H3RLJ0Sozmvv2P7i0Hb9qsw8
M5H2y8jig32/PWvmMOSgNIrr0Gr7dmfZ/XLfrIQ7sOce3uuMp/MoDcfUZrasmlhO
9Tr0MApF1RY4gIWx8mnc
=HIO9
-----END PGP SIGNATURE-----

Changed in finnix:
status: In Progress → Fix Committed
tags: added: finnix-minimal
Ryan Finnie (fo0bar) on 2013-12-27
Changed in finnix:
status: Fix Committed → In Progress

Distribution: 110
Source: neale-initrd
Source-Version: 20131227.0

A package update has been sent to the Finnix archive, which marks this
bug as fixed. A copy of the upload changes is included below.

Thank you,
Your friendly Finnix Launchpad assistant

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 27 Dec 2013 09:32:10 -0800
Source: neale-initrd
Binary: neale-initrd
Architecture: source
Version: 20131227.0
Distribution: unstable
Urgency: low
Maintainer: Ryan Finnie <email address hidden>
Changed-By: Ryan Finnie <email address hidden>
Description:
 neale-initrd - Finnix initrd layout (udeb)
Changes:
 neale-initrd (20131227.0) unstable; urgency=low
 .
   * Replace net-tools with iproute2 (LP: #1264445)
Checksums-Sha1:
 bbb3a5ede0de087b6183e08e8f7fd484b248d617 1644 neale-initrd_20131227.0.dsc
 0a82fdc083a9e9f27d1a569649e52829a65ef364 3055616 neale-initrd_20131227.0.tar.xz
Checksums-Sha256:
 a292bd1ab76386f346a38e143414d7ef6c3e583c453b03ea6d3fc073c8081fcb 1644 neale-initrd_20131227.0.dsc
 8ad75125edc5cb85e7e232c94bca9b4af2b36a74ed413d9c55f06d53078fd68e 3055616 neale-initrd_20131227.0.tar.xz
Files:
 e47257eea42e2a46a59888248431a420 1644 debian-installer optional neale-initrd_20131227.0.dsc
 d6ac94cc74a21519fda3ac71d342229a 3055616 debian-installer optional neale-initrd_20131227.0.tar.xz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJSvbnaAAoJEH5go6aGro2YxoAQAIeYTVNC4DKZrtmRE9amf5MQ
UgBZNa3wR+qYbdulSzVWdi0oJJsp2LsT1jGZ/LDU2TGKnFCEIIfnvqsBH/71F3Ce
JgZr1kbduLNsZOGtfc/lLZLzJ/8ODllOn3qjqnT4Rh0UPHdIQXbOreyOisfk60TZ
spTQEypJRBdJzog/Ig+OCZU52yoawjJgBoVkEpBGEjkNlZk9pGZVfP8EnpaGQFHC
lFVeXQ43ZiVc2i+6R5fTGrVuMvcwvwKPDEE6cQyT92s62c/I+JIA8MJNsuAqJA9C
MlfojoJCIBTaTP45pBnBmCRwVtf/cUpLc0cIBb/sQJGo3xEbStFto34M9pWQBjks
kRoQq/6lgwcEwJhHsxsX135ZPTVLCt/NblASJvxIb1ZAYnCcUFfp8d/a5pPsuy36
4DiOiXIQRN4r613fvH908nFJPaWn7q99lac79JNCEZlXhp2Pnh/vvXR2OsB67J5l
WgccM4Iv2U7j0Dfp7KdoKiCqR88hQGu1TGg5rVP1lIZIvSdmEGK6ClsWj9kufIHa
jcTSY0QITryB7NZrsWW+yODv8RAak4Q+WGYJV9s8iu6lNkOK05NeiBbH6EIi2E2O
wvELjZujk3c7aEf1wah5ZpZrwHr7Tjynf4Z2AK+8lY3ROmZxXdNsE2wMU7HQvMfU
c/4Vxum4VtOjWd8CBXyA
=O8r7
-----END PGP SIGNATURE-----

Changed in finnix:
status: In Progress → Fix Committed
Ryan Finnie (fo0bar) on 2014-05-29
Changed in finnix:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers